﻿using DynamicsCRM.Models;
using JetBrains.Annotations;
using Orchard.ContentManagement.Handlers;
using Orchard.Data;

namespace DynamicsCRM.Handlers
{
    [UsedImplicitly]
    public class DynamicsCRMSettingsPartHandler : ContentHandler
    {
        public DynamicsCRMSettingsPartHandler(IRepository<DynamicsCRMSettingsPartRecord> repository)
        {
            Filters.Add(new ActivatingFilter<DynamicsCRMSettingsPart>("Site"));
            Filters.Add(StorageFilter.For(repository));
        }
    }
}